Tenant/Product

Delete a product with full cascade

Hard deletes a product and all its dependencies (project types, tenants, projects, sources, translations, stories, etc.) in a single transaction.

DELETE
/api/v2/products/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

UUID of the product to delete

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v2/products/7c6c2c68-2def-421a-b4d0-107351f13049"
{  "message": "OK"}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}